'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var path = require('path');
var fs = require('fs');
var routes = require('@component-controls/routes');
var store = require('@component-controls/store');
var logger = require('@component-controls/logger');
var webpackCompile = require('@component-controls/webpack-compile');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var path__default = /*#__PURE__*/_interopDefaultLegacy(path);
var fs__default = /*#__PURE__*/_interopDefaultLegacy(fs);

const postBuild = async (staticFolder, loadingStore) => {
    if (loadingStore) {
        const store$1 = store.loadStore(loadingStore, true);
        if (process.env.NODE_ENV === 'production') {
            if (store$1.config.siteMap) {
                const sitemap = routes.getSiteMap(store$1);
                const sitemapfolder = path__default['default'].resolve(staticFolder, '..');
                if (!fs__default['default'].existsSync(sitemapfolder)) {
                    fs__default['default'].mkdirSync(sitemapfolder, { recursive: true });
                }
                const sitemapname = path__default['default'].join(sitemapfolder, 'sitemap.xml');
                logger.log('creating sitemap', sitemapname);
                fs__default['default'].writeFileSync(sitemapname, sitemap, 'utf8');
            }
            await webpackCompile.searchIndexing(store$1);
        }
    }
};

exports.postBuild = postBuild;
